Skip to main content
POST
Configure agent integration

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

agents:write

Edit agent configuration, handbook, memory, tone examples, and schedules, and give agents tasks.

Path Parameters

agentId
string
required

Agent id from list_agents.

Required string length: 1 - 64

Body

application/json
integrationType
enum<string>
required

Connected integration type string, e.g. "gmail" or "slack".

Available options:
slack,
google_calendar,
google_drive,
whatsapp,
gmail,
aircall,
smily,
granola,
breezeway,
basecamp,
github,
notion,
optimo_route,
onfleet,
zendesk,
autofleet,
hostaway,
airtable,
ashby,
shopify,
breww,
magento,
outlook,
outlook_calendar,
onedrive,
sharepoint,
excel,
word,
teams,
gorgias,
xero_accounting,
pimento,
linear,
clarus_wms,
maxoptra,
hubspot_crm,
hubspot_conversations,
fireflies,
resend,
guesty,
orderspace,
hospitable,
sparklayer,
unleashed,
bigblue,
otter,
skio,
trustpilot,
webhook,
mcp,
browser
connectedAccount
string

Readable connected account selector. Choose an exact value shown in this tool's schema when account selection is required.

Required string length: 1 - 200
enabledForInbound
boolean

Whether this integration provides inbound triggers that create or update tasks for the agent.

enabledForResearch
boolean

Whether the agent has access to this integration during agent runs. Actions still follow approval rules.

config
object

Optional integration config patch. Use only fields shown in the tool schema.

rules
object[]

Optional inbound trigger, automatic agent run, or auto-approval rules.

Maximum array length: 20

Response

Success

agentId
string
required
saved
boolean
required